diff --git a/databases/mysql80-client/Makefile b/databases/mysql80-client/Makefile
index 9cfa8d717d8b..57ea54fb66e6 100644
--- a/databases/mysql80-client/Makefile
+++ b/databases/mysql80-client/Makefile
@@ -1,5 +1,5 @@
 PORTNAME=	mysql
-PORTREVISION=	2
+PORTREVISION=	0
 PKGNAMESUFFIX=	80-client
 
 COMMENT=	Multithreaded SQL database (client)
diff --git a/databases/mysql80-client/pkg-plist b/databases/mysql80-client/pkg-plist
index b185afa48caf..b67078ca6131 100644
--- a/databases/mysql80-client/pkg-plist
+++ b/databases/mysql80-client/pkg-plist
@@ -39,20 +39,4 @@ lib/mysql/libmysqlclient_r.so.21
 lib/mysql/plugin/authentication_fido_client.so
 lib/mysql/plugin/authentication_oci_client.so
 libdata/pkgconfig/mysqlclient.pc
-share/man/man1/comp_err.1.gz
-share/man/man1/lz4_decompress.1.gz
-share/man/man1/mysql.1.gz
-share/man/man1/mysql_config.1.gz
-share/man/man1/mysql_config_editor.1.gz
-share/man/man1/mysqladmin.1.gz
-share/man/man1/mysqlbinlog.1.gz
-share/man/man1/mysqlcheck.1.gz
-share/man/man1/mysqldump.1.gz
-share/man/man1/mysqlimport.1.gz
-share/man/man1/mysqlman.1.gz
-share/man/man1/mysqlpump.1.gz
-share/man/man1/mysqlshow.1.gz
-share/man/man1/mysqlslap.1.gz
-share/man/man1/perror.1.gz
-share/man/man1/zlib_decompress.1.gz
 share/aclocal/mysql.m4
diff --git a/databases/mysql80-server/Makefile b/databases/mysql80-server/Makefile
index 876d9757d1a3..f413b1ef559a 100644
--- a/databases/mysql80-server/Makefile
+++ b/databases/mysql80-server/Makefile
@@ -1,6 +1,6 @@
 PORTNAME?=		mysql
-PORTVERSION=		8.0.32
-PORTREVISION?=		3
+PORTVERSION=		8.0.33
+PORTREVISION?=		0
 CATEGORIES=		databases
 MASTER_SITES=		MYSQL/MySQL-8.0
 PKGNAMESUFFIX?=		80-server
@@ -31,7 +31,6 @@ LIB_DEPENDS+=	libcurl.so:ftp/curl \
 		libevent.so:devel/libevent \
 		libicutu.so:devel/icu \
 		liblz4.so:archivers/liblz4 \
-		libzstd.so:archivers/zstd \
 		libfido2.so:security/libfido2 \
 		libhidapi.so:comms/hidapi \
 		${LIB_DEPENDS_${ARCH}}
@@ -85,7 +84,7 @@ CMAKE_ARGS+=	-DINSTALL_LAYOUT=FREEBSD \
 		-DWITH_LZ4=system \
 		-DWITH_ICU=system \
 		-DWITH_CURL=system \
-		-DWITH_ZSTD=system \
+		-DWITH_ZSTD=bundled \
 		-DWITH_PROTOBUF=bundled \
 		-DWITH_SSL=system \
 		-DWITH_AUTHENTICATION_FIDO=1 \
diff --git a/databases/mysql80-server/distinfo b/databases/mysql80-server/distinfo
index 8134c31693a6..05b98badd3de 100644
--- a/databases/mysql80-server/distinfo
+++ b/databases/mysql80-server/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1676165343
-SHA256 (mysql-boost-8.0.32.tar.gz) = 1a83a2e1712a2d20b80369c45cecbfcc7be9178d4fc0e81ffba5c273ce947389
-SIZE (mysql-boost-8.0.32.tar.gz) = 436207624
+TIMESTAMP = 1686677589
+SHA256 (mysql-boost-8.0.33.tar.gz) = ae31e6368617776b43c82436c3736900067fada1289032f3ac3392f7380bcb58
+SIZE (mysql-boost-8.0.33.tar.gz) = 438065679
diff --git a/databases/mysql80-server/files/patch-router_src_harness_src_tls__server__context.cc b/databases/mysql80-server/files/patch-router_src_harness_src_tls__server__context.cc
index 267814803231..72866c631fd2 100644
--- a/databases/mysql80-server/files/patch-router_src_harness_src_tls__server__context.cc
+++ b/databases/mysql80-server/files/patch-router_src_harness_src_tls__server__context.cc
@@ -1,12 +1,13 @@
---- router/src/harness/src/tls_server_context.cc.orig	2022-12-11 13:24:16 UTC
-+++ router/src/harness/src/tls_server_context.cc
-@@ -272,7 +272,8 @@ stdx::expected<void, std::error_code> set_auto_dh_para
+--- router/src/harness/src/tls_server_context.cc.orig	2023-06-29 15:05:27.686865000 +0200
++++ router/src/harness/src/tls_server_context.cc	2023-06-29 15:31:25.869049000 +0200
+@@ -275,7 +275,9 @@ stdx::expected<void, std::error_code> set_auto_dh_para
  #if OPENSSL_VERSION_NUMBER >= ROUTER_OPENSSL_VERSION(3, 0, 0)
    SSL_CTX_set_dh_auto(ssl_ctx, 1);
  #else
 -#if OPENSSL_VERSION_NUMBER >= ROUTER_OPENSSL_VERSION(1, 1, 0)
 +#if OPENSSL_VERSION_NUMBER >= ROUTER_OPENSSL_VERSION(1, 1, 0) \
 +  && !defined(LIBRESSL_VERSION_NUMBER)
-   OsslUniquePtr<DH> dh_storage(DH_get_2048_256());
- #else
-   /*
++
+   int sec_level = SSL_CTX_get_security_level(ssl_ctx);
+ 
+   assert(sec_level <= kMaxSecurityLevel);
diff --git a/databases/mysql80-server/files/patch-utilities_CMakeLists.txt b/databases/mysql80-server/files/patch-utilities_CMakeLists.txt
index 29c120a41e79..c68cd6aa532d 100644
--- a/databases/mysql80-server/files/patch-utilities_CMakeLists.txt
+++ b/databases/mysql80-server/files/patch-utilities_CMakeLists.txt
@@ -1,8 +1,8 @@
---- utilities/CMakeLists.txt.orig	2020-09-23 12:37:48 UTC
-+++ utilities/CMakeLists.txt
-@@ -23,13 +23,19 @@
- ADD_WSHADOW_WARNING()
+--- utilities/CMakeLists.txt.orig	2023-06-14 08:24:40.103026000 +0200
++++ utilities/CMakeLists.txt	2023-06-22 20:43:33.353592000 +0200
+@@ -24,13 +24,19 @@ MSVC_CPPCHECK_DISABLE()
  DISABLE_MISSING_PROFILE_WARNING()
+ MSVC_CPPCHECK_DISABLE()
  
 -IF(NOT CMAKE_CROSSCOMPILING)
 +IF(WITHOUT_CLIENTLIBS)
@@ -22,7 +22,7 @@
  
  MYSQL_ADD_EXECUTABLE(comp_client_err
    comp_client_err.cc
-@@ -112,10 +118,30 @@ MYSQL_ADD_EXECUTABLE(static_thread_local_test
+@@ -113,10 +119,30 @@ MYSQL_ADD_EXECUTABLE(static_thread_local_test
    EXCLUDE_FROM_ALL
    )
  
@@ -53,8 +53,8 @@
    )
  MYSQL_ADD_EXECUTABLE(perror
    perror.cc
-@@ -130,12 +156,23 @@ IF(BUILD_BUNDLED_LZ4)
-     LINK_LIBRARIES ${LZ4_LIBRARY} mysys
+@@ -131,12 +157,23 @@ ENDIF()
+     LINK_LIBRARIES ext::lz4 mysys
      )
  ENDIF()
 +ENDIF(WITHOUT_CLIENTLIBS)
@@ -63,7 +63,7 @@
  MYSQL_ADD_EXECUTABLE(zlib_decompress
    zlib_decompress.cc
    COMPONENT Server
-   LINK_LIBRARIES ${ZLIB_LIBRARY} mysys
+   LINK_LIBRARIES ext::zlib mysys
 +    SKIP_INSTALL )
 +ELSE(WITHOUT_CLIENTLIBS)
 +IF(BUILD_BUNDLED_ZLIB OR NOT OPENSSL_EXECUTABLE_HAS_ZLIB)
diff --git a/databases/mysql80-server/pkg-plist b/databases/mysql80-server/pkg-plist
index 15aa026bbb80..6a8f5037dc90 100644
--- a/databases/mysql80-server/pkg-plist
+++ b/databases/mysql80-server/pkg-plist
@@ -87,9 +87,11 @@ lib/mysql/plugin/component_test_mysql_command_services.so
 lib/mysql/plugin/component_test_mysql_current_thread_reader.so
 lib/mysql/plugin/component_test_mysql_runtime_error.so
 lib/mysql/plugin/component_test_mysql_system_variable_set.so
+lib/mysql/plugin/component_test_mysql_thd_store_service.so
 lib/mysql/plugin/component_test_pfs_notification.so
 lib/mysql/plugin/component_test_pfs_resource_group.so
 lib/mysql/plugin/component_test_sensitive_system_variables.so
+lib/mysql/plugin/component_test_server_telemetry_traces.so
 lib/mysql/plugin/component_test_status_var_reader.so
 lib/mysql/plugin/component_test_status_var_service.so
 lib/mysql/plugin/component_test_status_var_service_int.so
@@ -179,25 +181,6 @@ lib/mysql/private/libprotobuf-lite.so.3.19.4
 lib/mysql/private/libprotobuf.so.3.19.4
 lib/mysql/libprotobuf-lite.so.3.19.4
 libexec/mysqld
-share/man/man1/ibd2sdi.1.gz
-share/man/man1/innochecksum.1.gz
-share/man/man1/my_print_defaults.1.gz
-share/man/man1/myisam_ftdump.1.gz
-share/man/man1/myisamchk.1.gz
-share/man/man1/myisamlog.1.gz
-share/man/man1/myisampack.1.gz
-share/man/man1/mysql_secure_installation.1.gz
-share/man/man1/mysql_ssl_rsa_setup.1.gz
-share/man/man1/mysql_tzinfo_to_sql.1.gz
-share/man/man1/mysql_upgrade.1.gz
-share/man/man1/mysql.server.1.gz
-share/man/man1/mysqld_multi.1.gz
-share/man/man1/mysqld_safe.1.gz
-share/man/man1/mysqldumpslow.1.gz
-share/man/man1/mysqlrouter_passwd.1.gz
-share/man/man1/mysqlrouter_plugin_info.1.gz
-share/man/man1/mysqlrouter.1.gz
-share/man/man8/mysqld.8.gz
 %%DATADIR%%/bulgarian/errmsg.sys
 %%DATADIR%%/charsets/Index.xml
 %%DATADIR%%/charsets/README
